LibreOffice: ApplicationRegistration Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
ApplicationRegistration Service Reference

registers UNO objects as COM objects. More...

`import"ApplicationRegistration.idl";`

Inheritance diagram for ApplicationRegistration:

## Exported Interfaces
interface | com::sun::star::uno::XInterface

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

registers UNO objects as COM objects.

That is, COM class factories are registered with COM at runtime. The required EXE server is the application which deploys this service. In order to access the factories by COM API functions, there need to be proper registry entries. This service does not provide for writing those entries.

The instantiation of the registered objects can be carried out by any ordinary mechanism which is used in a certain language to create COM components. For example, `CreateObject` in Visual Basic, `CoCreateInstance` in C++.

Currently only a factory for the service com::sun::star::lang::MultiServiceFactory is registered by this service. The CLSID is {82154420-0FBF-11d4-8313-005004526AB4} and the ProgId is com.sun.star.ServiceManager.

ApplicationRegistration does not provide any particular interface because the UNO objects are registered while instantiating this service and deregistered if the implementation, which makes use of this service, is being released.

Developers Guide
  ProUNO - Bridge - The Bridge Services

## Exported Interfaces

## ◆ com::sun::star::uno::XInterface

interface com::sun::star::uno::XInterface

The documentation for this service was generated from the following file:

- com/sun/star/bridge/oleautomation/ApplicationRegistration.idl